# Tablist header & footer with animations.

# Available placeholders: https://github.com/montlikadani/TabList/wiki/Placeholders
# Available symbols: https://github.com/montlikadani/TabList/wiki/Symbols

# Use %anim:animationName% placeholder to make an animation. Must be firstly created in animcreator.yml file!

# How do I use this tab section? Take a look at this page: https://github.com/montlikadani/TabList/wiki/TabList-Usage

# Enable the tab to show for all players? (Header & footer)
enabled: true

# Save the toggled tablists to a file and load them after server restart.
# If this false, if the file is exists, it will be deleted automatically at server restart.
remember-toggled-tablist-to-file: true

# Hide tab when the player is vanished?
# Requires Essentials, CMI or SuperVanish plugin!
hide-tab-when-player-vanished: false

# In these worlds tab will NOT be displayed
disabled-worlds:
#- "world1"

# For these players tab will NOT be displayed
blacklisted-players:
#- myname

# Tab update time interval. (In ticks!)
# Set to 0 to disable tab refreshing.
interval: 4

# Define if the header & footer should be randomized.
# Animation placeholders won't be affected.
random: false

header:
- "&5&m=========================="
- "&a云上萌星&b 2022 UNIVERSE"
- "&7<75> %anim:welcome% %player%&c!&7 <74>"
- "&6Ping:&r %ping%&7ms&a TPS:&r %tps%\n"

footer:
- "&e&l玩家数量:&6 %online-players%&7/&6%max-players%"
- "&5&m=========================="

# Defines per world tablist for different worlds
# You can separate worlds with ", " to show tablist in that worlds
# You can create as many worlds you want
per-world:
  my_nether, otherWorld: # you can add multiple worlds here
    header: "&3This is a per world plugin %anim:tablist%&3."
    footer: "&6World:&7 %world%"

  justWorld:
    header: "%anim:perWorld%"
    footer: "&6World:&7 %world%"

    # Defines per player tablist in this world
    per-player:
      playerName:
        header: "&3This is a per player plugin %anim:tablist%&3."
        footer:
        - "&6World:&7 %world%"
        - "&aPlayer:&8 %player%"

  testWorld:
    # Defines per group tablist only in the above world
    # Requires Vault plugin!
    per-group:
      groupName:
        header: "&3This is a per group plugin %anim:tablist%&3."
        footer:
        - "&6World:&7 %world%"
        - "&aGroup:&8 %vault_rank%"

# Defines per-permission tablist
# Any player/group have tablist.name permission node will use the set of tab header/footer.
#permissions:

# Defines per player handled tablist
per-player:
  testplayer:
    header: "%anim:perPlayer%"
    footer: "&5&m======================"

# Defines per-grouped tablist for players.
# Requires Vault plugin!
per-group:
  vaultGroup:
    header: "%anim:perGroupHead%"
    footer: "%anim:perGroupFoot%"
